# AUTOGENERATED! DO NOT EDIT! File to edit: ../nbs/API/pt.ipynb.

# %% auto 0
__all__ = ['pt2raster']

# %% ../nbs/API/pt.ipynb 3
import cupy as cp
import numpy as np
import numpy.typing as npt

# %% ../nbs/API/pt.ipynb 5
def pt2raster(point_data:npt.ArrayLike, # data, 1D or more
              is_pt:npt.ArrayLike=None, # bool array index
              shape:tuple=None, # image shape
              idx:npt.ArrayLike=None, # idx array
             ):
    '''convert sparse data to raster, filled with nan'''
    xp = cp.get_array_module(point_data)
    if is_pt is None:
        raster = xp.empty((*shape,*point_data.shape[2:]),dtype=point_data.dtype)
        raster[:] = xp.nan
        raster[(idx[0],idx[1])] = point_data
    else:
        raster = xp.empty((*is_pt.shape,*point_data.shape[2:]),dtype=point_data.dtype)
        raster[:] = xp.nan
        raster[is_pt] = point_data
    return raster
